Page MenuHomePhabricator

Upgrade to php-ast 1.0.6 in CI
Closed, ResolvedPublic

Description

Currently on 1.0.1. We need to check whether taint-check supports it before moving on. Changelog: https://pecl.php.net/package-changelog.php?package=ast&release=1.0.6

Event Timeline

Daimona created this task.Jun 10 2020, 11:16 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 10 2020, 11:16 AM
Daimona updated the task description. (Show Details)Jun 10 2020, 11:27 AM

We need to check whether taint-check supports it before moving on.

Local tests say that it does. Also, the changelog only seems to mention changes that won't affect taint-check. There are some new flags/nodes, but nothing that we really care about, methinks.

Do you remember why we use v1.0.0 for php70 but v1.0.1 for everything else? Is 1.0.1 incompatible with 70?

Also it looks like 0.1.2 is never used any more; can we consolidate?

Change 604394 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] [DNM] dockerfiles: [php-ast] Upgrade to 1.0.6

https://gerrit.wikimedia.org/r/604394

Daimona added a comment.EditedJun 10 2020, 2:00 PM

Do you remember why we use v1.0.0 for php70 but v1.0.1 for everything else?

Unfortunately not, but:

Is 1.0.1 incompatible with 70?

Based on https://gerrit.wikimedia.org/r/plugins/gitiles/integration/config/+/2ebd52c4d29febd698bf6948063a5d51a552b694 this is likely what I thought. However, it's wrong: https://pecl.php.net/package/ast says that 1.0.6 is supported on PHP 7.0.0+, so...

Also it looks like 0.1.2 is never used any more; can we consolidate?

Ah, yes, it can be removed now. That was used by phan 0.8.0 and taint-check 1.x, and we stopped using both last year.

OK, let's try doing 1.0.6 for everyone.

Note that we don't currently use the php-ast image for the mediawiki-phan image, which is a special snowflake. *sighs*

Note that we don't currently use the php-ast image for the mediawiki-phan image, which is a special snowflake. *sighs*

Perhaps it's time to start using the "new" php-ast image? I guess this is just because mediawiki-phan predates php-ast.

Yeah, working on it.

Change 604407 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] dockerfiles: [mediawiki-phan] Switch to php-ast's module

https://gerrit.wikimedia.org/r/604407

Change 604394 merged by jenkins-bot:
[integration/config@master] dockerfiles: [php-ast] Upgrade to 1.0.6

https://gerrit.wikimedia.org/r/604394

Mentioned in SAL (#wikimedia-releng) [2020-06-10T14:37:34Z] <James_F> Docker: Publishing php-ast:1.0.6 and related images T255004

Change 604407 merged by jenkins-bot:
[integration/config@master] dockerfiles: [mediawiki-phan] Switch to php-ast's module

https://gerrit.wikimedia.org/r/604407

Change 605268 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Switch phan jobs to new helper image

https://gerrit.wikimedia.org/r/605268

Change 605268 merged by jenkins-bot:
[integration/config@master] jjb: Switch phan jobs to new helper image

https://gerrit.wikimedia.org/r/605268

Jdforrester-WMF closed this task as Resolved.Jun 12 2020, 4:32 PM

All done.